Magento 1.x Hotkeys
===============

Hotkeys also known as Key Board Shortcuts for the Magento backend!

![Animation](https://raw.githubusercontent.com/SchumacherFM/Magento-Hotkeys/master/ppAction.gif "Animation")


Why do I need this?
-------------------

Because you are tired of using the mouse and want to work faster!

Compatibile Browsers
-------------


| Browser | Minimum Version |
| --------|-----------------|
| Internet Explorer | 10 |
| Firefox | 23 |
| Chrome | 29 |
| Safari | 6 |
| Opera | 17 |


Configuration
-------------

Navigate to `System -> Configuration -> System -> KeyBoard Shortcuts`.

All options can be set per store view.

To configurate a short cut for a specific action please navigate to `System -> Tools -> Keyboard Shortcuts`. For each route in your backend you can configure a keyboard shortcut. Routes will be collected automatically.

Todo
----

- Keys can be configured on a per user basis (table already exists).
- Fix minor bugs in Menu when navigating ...

Installation Instructions
-------------------------

1. Install modman from https://github.com/colinmollenhour/modman
2. Switch to Magento root folder
3. `modman init`
4. `modman clone git@github.com:SchumacherFM/Magento-Hotkeys.git`

Composer based installation:  Please read the great article from
Vinai [Composer installation](http://magebase.com/magento-tutorials/composer-with-magento/)

About
-----

- Uses: [http://dmauro.github.io/Keypress/](http://dmauro.github.io/Keypress/)
- Key: SchumacherFM_Hotkeys
- Current Version: 1.0.0
- [Download tarball](https://github.com/SchumacherFM/Magento-Hotkeys/tags)

History
-------

#### 1.0.0

- Initial Release


Compatibility
-------------

- Magento >= 1.5
- php >= 5.2.0

There is the possibility that this extension may work with pre-1.5 Magento versions.

Alternatives
---------

[https://github.com/astorm/PulsestormLauncher](https://github.com/astorm/PulsestormLauncher) 

Support / Contribution
----------------------

Report a bug using the issue tracker or send us a pull request.

Instead of forking I can add you as a Collaborator IF you really intend to develop on this module. Just ask :-)

We work with: [A successful Git branching model](http://nvie.com/posts/a-successful-git-branching-model/) and [Semantic Versioning 2.0.0](http://semver.org/)

Licence BSD-3-Clause
--------------------

#### Magento Hotkeys Implementation

Copyright (c) 2013 Cyrill (at) Schumacher dot fm

All rights reserved.


Author
------

[Cyrill Schumacher](http://cyrillschumacher.com)

[My pgp public key](http://www.schumacher.fm/cyrill.asc)

Made in Sydney, Australia :-)
